<?php
/**
* Additional Woocommerce Settings.
*
* @package Digital Media
*/

$digital_media_default = digital_media_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'digital_media_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'digital-media' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'digital_media_theme_option_panel',
	)
);

	$wp_customize->add_setting('digital_media_per_columns',
		array(
		'default'           => $digital_media_default['digital_media_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'digital_media_sanitize_number_range',
		)
	);
	$wp_customize->add_control('digital_media_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'digital-media'),
		'section'     => 'digital_media_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('digital_media_product_per_page',
		array(
		'default'           => $digital_media_default['digital_media_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'digital_media_sanitize_number_range',
		)
	);
	$wp_customize->add_control('digital_media_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'digital-media'),
		'section'     => 'digital_media_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('digital_media_show_hide_related_product',
    array(
        'default' => $digital_media_default['digital_media_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'digital_media_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('digital_media_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'digital-media'),
	        'section' => 'digital_media_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('digital_media_custom_related_products_number',
		array(
		'default'           => $digital_media_default['digital_media_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'digital_media_sanitize_number_range',
		)
	);
	$wp_customize->add_control('digital_media_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'digital-media'),
		'section'     => 'digital_media_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('digital_media_custom_related_products_number_per_row',
		array(
		'default'           => $digital_media_default['digital_media_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'digital_media_sanitize_number_range',
		)
	);
	$wp_customize->add_control('digital_media_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'digital-media'),
		'section'     => 'digital_media_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);